Subject: Re: [edu-team] IDR Tutorial for IETF 70

From: [email-masked]
Date: Thu, 11 Oct 2007 22:14:46 -0700

Geoff--I'm surprised that you'd think it would be hard to present. When you say "difficult in
the time availalbe", are you saying there isn't enough time for you to prepare in the weeks before IETF, or
that 90 minutes is not enough time to present that material? If the latter, I can't believe that's true. Or are you
saying that you don't know the things that Margaret (and me) were asking about? If you don't, then who would?

If you'd like, I'd be happy to have a phone conversation with you where you answer the questions to me, and I give
advice to help you figure out how to say it concisely.

Radia

----- Original Message -----
From: Geoff Huston <[email-masked]>
Date: Thursday, October 11, 2007 9:50 pm
Subject: Re: [edu-team] IDR Tutorial for IETF 70

> Margaret
> 
> I've thought about this some more, and I've come to the conclusion 
> that 
> I am not in a position to undertake a major realignment of the 
> material 
> in order to concentrate on a meaningful presentation about the 
> operational, business, structural and research aspects of 
> interdomain 
> routing within the constraints of the time available and within the 
> constraints of the audience's familiarity with routing concepts.
> 
> I really don't feel that what you are asking for here is realistic 
> within the scope of the presentation time, and I must admit to some 
> considerable personal doubt that what you are asking for is even 
> capable 
> of being presented in a style and format that might be useful to an 
> IETF 
> audience. On reflection I have the view that this is not a case of 
> even 
> a slim chance of pulling it off - from my perspective its a case of 
> how 
> badly it would fail.
> 
> Sorry, but from my perspective your expectations here are just 
> simply 
> not attuned to what I am confident of being able to deliver in this 
> space. So rather than embarking on a major struggle with material 
> for 
> the next month to try and prepare material that would align to what 
> you 
> are proposing, with a pretty confident expectation of being unable 
> to 
> meet the goals you've outlined, it would be best if I simply let 
> you 
> know now that your proposed realignment of the tutorial would not 
> work 
> for me. I am of course quite happy for the edu team to find someone 
> else 
> who would be more confident of being able to prepare material along 
> the 
> lines you are wanting here.
> 
> regartd,
> 
> 
> Geoff
> 
> 
> 
> 
> 
> 
> Margaret Wasserman wrote:
> > 
> > Thanks, Geoff.
> > 
> > I realize that we're asking a lot, and we trust you to do the 
> best you 
> > can.  Although this may be a difficult task, you are, IMO, the 
> most 
> > likely person to be able to pull it off.
> > 
> > One way to think about our comments is that people who have 
> already read 
> > a bunch about IETF routing protocols (because there are books and 
> the 
> > RFCs out there) still don't really understand what the operations 
> folks 
> > mean when they talk about issues in the routing system, because 
> we don't 
> > really know that terminology.  I've had multiple smart folks sit 
> through 
> > talks on the route table growth in the DFZ and then lean over to 
> me and 
> > ask me if I know what the DFZ is, for example.  Many of us don't 
> really 
> > know if you are talking about routes on a single router, the 
> union of 
> > all DFZ routes, the average number of routes per router or 
> what...  Most 
> > of us don't really understand how peering works.  And some people 
> > (including me) don't understand what it would mean to put a level 
> of 
> > indirection (such as LISP or other tiered routing schemes) 
> somewhere in 
> > the Internet (not at the enterprise or DFZ boundary), because we 
> don't 
> > understand what interesting levels exist between an enterprise 
> and the 
> > DFZ, if any.
> > 
> > Given the amount of activity in this area in the IETF, including 
> plenary 
> > discussions, there seem to be a lot of people who would like to 
> > understand this area better.  If there are any good references on 
> this 
> > subject, it would also be good to include a list of them in your 
> slide 
> > deck...  but I fear that most of this stuff isn't really written 
> down.> 
> > Margaret
> > 
> > 
> > On Sep 27, 2007, at 6:00 PM, Geoff Huston wrote:
> > 
> >> Hmmm - what you both appear to want out of a couple of hours 
> causes my 
> >> brain to hurt. I suppose that from my perspectives such topics as:
> >>
> >> what is the DFZ and why is it interesting
> >> who peers with whom at what level
> >> what BGP filters are used
> >> what controls exist
> >> what can go wrong
> >> what are incompatible policies and where do they exist
> >> who can you discover incompatible policies
> >> how is money done
> >>
> >> are all topics that can either be treated quickly, superficially 
> and 
> >> poorly or topics that take ages to get into and assume a massive 
> >> amount of familiarity with routing that you probably know the 
> answers 
> >> already.
> >>
> >> Having said that you are making a Big Ask here, I must admit 
> that the 
> >> room in Chicago surprised me - many of the folk there knew all 
> about 
> >> BGP the protocol and were asking for what you are asking
> >>
> >> So let me think about this and see what I can come up with
> >>
> >>  Geoff
> >>
> >> Radia Perlman wrote:
> >>> Yes, I strongly agree with what Margaret said. In addition, it 
> might 
> >>> be nice to cover the
> >>> concept of incompatible policies with BGP, and whether such 
> things 
> >>> occur in the wild, and if
> >>> not, how they are avoided. And to repeat some of what she said 
> in 
> >>> different words...what
> >>> kinds of issues are people trying to solve with policies (e.g., 
> I 
> >>> want to connect to A so A's
> >>> customers can talk to my customers, and want to connect to B so 
> B's 
> >>> customers can talk
> >>> directly to my customers, but I don't want to let A and B use 
> me as a 
> >>> through path)? (and
> >>> actually, that is about the only example people give -- can you 
> give 
> >>> others?)
> >>> Also, how is money done? In other words, is there incentive to 
> be a 
> >>> through carrier from A to B
> >>> because you get paid more money? Or is everything a flat rate 
> so you 
> >>> are motivated to do
> >>> as little work as possible? Are the charging policies flat rate 
> (if 
> >>> they are) because the protocols
> >>> don't do sufficient accounting, or the accounting isn't trusted?
> >>> Radia
> >>> Margaret Wasserman wrote:
> >>>>
> >>>> Hi Geoff,
> >>>>
> >>>> Thanks for presenting the IDR Tutorial at IETF 69.  As always, 
> you 
> >>>> did an excellent job of preparing and presenting your session.
> >>>>
> >>>> However, the EDU Team discussed your tutorial and the feedback 
> we 
> >>>> received, and we have some thoughts about how to update the 
> tutorial 
> >>>> so that it will be even more useful to the IETF community.
> >>>>
> >>>> What you presented was an excellent BGP tutorial, but you 
> didn't 
> >>>> present much information that couldn't be gleaned from reading 
> >>>> RFCs.  We know that you have a lot of knowledge about how IDR 
> >>>> routing actually works in the wild -- What is the DFZ and why 
> is it 
> >>>> interesting?  Who peers with whom at what levels? What types 
> of BGP 
> >>>> filters do they use in which directions?  What controls are in 
> place 
> >>>> to prevent random BGP routes from hitting the DFZ?  What types 
> of 
> >>>> things can (and do) go wrong with the current system?  etc...
> >>>>
> >>>> So, we'd be interested in seeing more of an introduction to 
> the 
> >>>> Internet IDR routing system than just an intro to BGP...
> >>>>
> >>>> Other members of the EDU Team may want to chime in here with 
> their 
> >>>> suggestions, as well.
> >>>>
> >>>> Would you be willing to update the tutorial along these lines 
> and 
> >>>> give it again at IETF 70?
> >>>>
> >>>> Margaret
> >>>>
> >>>>
> >>>>
> >>>>
> >>>> _______________________________________________
> >>>> edu-team mailing list
> >>>> [email-masked]
> >>>> https://www1.ietf.org/mailman/listinfo/edu-team
> > 
> > 
> 
> 
> _______________________________________________
> edu-team mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/edu-team
> 

_______________________________________________
edu-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/edu-team

---

From: Geoff Huston <[email-masked]>
Date: Fri, 12 Oct 2007 16:31:48 +1000

[email-masked] wrote:

> Geoff--I'm surprised that you'd think it would be hard to present.

Nevertheless, however surprising to you as it may be, thats my view!

> When you say "difficult in
> that 90 minutes is not enough time to present that material?

I'm of the personal opinion that 90 minutes is not enough time to 
present in a meaningful way across the scope of material you appear to 
want here.

> If the latter, I can't believe that's true.

Again, nevertheless, that's my view.

  Or are you
> advice to help you figure out how to say it concisely.

It strikes me that if you know what you want then maybe you should be 
generating the material and delivering it - I'm pretty sure I know my 
capabilities as a presenter of technical material and I know what I can 
cover well and what is just way too sweeping an agenda to cover in a 
meaningful manner. The issues around the business relationships that 
make inter-domain routing work as I understand it today are no longer 
simple upstream, peer, customer relationships (which in and of itself 
takes some time to come to grips with) and the variability in 
motivations in engineering routing structures is pretty impressive from 
where I sit. If you couple that with issues around filtering, the fuzzy 
nature of "core" routing, the concepts of route push and route pull, the 
issues of aggregation, deaggregation, and then haul in concepts of a 
routing system being an form of discovery of a point of equilibrium 
between the conflicting preferences of various parties, and then also 
pull in the issues around operational diagnosis, and troubleshooting to 
give a flavour of the operational environment of core routing, then its 
just not a feasible concept for me in a 90 minute tutorial. I strongly 
prefer to undertake presentations where I have some confidence that I 
can work with the audience to share an solid appreciation of the subject 
  material. In this case I do not think that this is possible for me, 
and I'm quite happy to defer to you to present what you feel is 
appropriate material with appropriate levels of breadth and depth in 
this context.

regards,

   Geoff